const Light = require("../lib/core");
import {parse2query} from "../lib/utils"
import ajax from "../lib/ajax"
module.exports = {
    init(){

    },
    start(router,options){
        const app = new Light.Vue({
            el : options.el|| "#main",
            router
        });
    },
    navigateBack(number){
        number = number > window.history.length - 1 ? window.history.length - 1 : number;
        window.history.go(-number);
    },
    navigateTo(path,params,options){
        if(!/^https?:\/\//i.test(path.url)){
            return alert("跳转路径在当前环境下不被支持，请下载Lightview！");
        }
        if(options.history!==false){
            location.href= `${path.url}?${parse2query(params)}`
        }else{
            location.replace(`${path.url}?${parse2query(params)}`);
        }
    },
    getCurrentFile(){
        return location.href.split(/([?#])/)[0];
    },
    ajax
};